"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_native_root_siblings_1 = require("react-native-root-siblings");
const react_redux_1 = require("react-redux");
const redux_thunk_1 = __importDefault(require("redux-thunk"));
const toolkit_1 = require("@reduxjs/toolkit");
const Route_1 = __importDefault(require("../Route"));
const common_1 = require("../Fn/common");
;
const Providers = ({ routes, reducer, }) => {
    const reducers = (0, toolkit_1.combineReducers)(Object.assign({ common: common_1.$useCommon }, reducer));
    const store = (0, toolkit_1.configureStore)({
        reducer: reducers,
        devTools: true,
        middleware: [redux_thunk_1.default],
    });
    return (react_1.default.createElement(react_native_root_siblings_1.RootSiblingParent, null,
        react_1.default.createElement(react_redux_1.Provider, { store: store },
            react_1.default.createElement(Route_1.default, { routes: routes }))));
};
exports.default = Providers;
